USE [NANS21V]
GO
/****** オブジェクト:  DROP ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[TBL_WEB_USE_ID]') AND type in (N'U'))
DROP TABLE [dbo].[TBL_WEB_USE_ID]


/****** オブジェクト: create ******/
USE [NANS21V]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
SET ANSI_PADDING ON
GO
--[TAGID],[TAGNAME],[TITLE],[DEFINITIONTYPE]
--TAGID=3がLAP 16がKyogiokai.Iniの競技場所と仮定した場合
--[3],[Lap],[ラップ],[Generic]
--[16],[EventPlaces],[競技場所],[EventPlacesValue]

CREATE TABLE [dbo].[TBL_WEB_USE_ID](
	[TAGID] [int] NOT NULL,
	[TAGNAME] [varchar](64) NOT NULL,
	[TITLE] [varchar](64) COLLATE Japanese_CI_AS NULL,
	[DEFINITIONTYPE] [varchar](64) NOT NULL,
	
 CONSTRAINT [PK_WEB_USE_ID] PRIMARY KEY CLUSTERED 
(
	[TAGID]  ASC
)WITH (PAD_INDEX  = OFF, IGNORE_DUP_KEY = OFF) ON [PRIMARY]
) ON [PRIMARY] 

GO
SET ANSI_PADDING OFF
GO
--カラム作成
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'TAGID' ,
 @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',
 @level1name=N'TBL_WEB_USE_ID', @level2type=N'COLUMN',@level2name=N'TAGID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'TAGNAME' ,
 @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',
 @level1name=N'TBL_WEB_USE_ID', @level2type=N'COLUMN',@level2name=N'TAGNAME'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'名称' ,
 @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',
 @level1name=N'TBL_WEB_USE_ID', @level2type=N'COLUMN',@level2name=N'TITLE'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'DEFINITIONTYPE' ,
 @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',
 @level1name=N'TBL_WEB_USE_ID', @level2type=N'COLUMN',@level2name=N'DEFINITIONTYPE'
GO

